register.h File Reference

Functions to directly access camera registers. More...

## Functions

dc1394error_t | dc1394_get_registers (dc1394camera_t *camera, uint64_t offset, uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_set_registers (dc1394camera_t *camera, uint64_t offset, const uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_get_control_registers (dc1394camera_t *camera, uint64_t offset, uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_set_control_registers (dc1394camera_t *camera, uint64_t offset, const uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_get_adv_control_registers (dc1394camera_t *camera, uint64_t offset, uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_set_adv_control_registers (dc1394camera_t *camera, uint64_t offset, const uint32_t *value, uint32_t num_regs)
dc1394error_t | dc1394_get_format7_register (dc1394camera_t *camera, unsigned int mode, uint64_t offset, uint32_t *value)
dc1394error_t | dc1394_set_format7_register (dc1394camera_t *camera, unsigned int mode, uint64_t offset, uint32_t value)
dc1394error_t | dc1394_get_absolute_register (dc1394camera_t *camera, unsigned int feature, uint64_t offset, uint32_t *value)
dc1394error_t | dc1394_set_absolute_register (dc1394camera_t *camera, unsigned int feature, uint64_t offset, uint32_t value)
dc1394error_t | dc1394_get_PIO_register (dc1394camera_t *camera, uint64_t offset, uint32_t *value)
dc1394error_t | dc1394_set_PIO_register (dc1394camera_t *camera, uint64_t offset, uint32_t value)
dc1394error_t | dc1394_get_SIO_register (dc1394camera_t *camera, uint64_t offset, uint32_t *value)
dc1394error_t | dc1394_set_SIO_register (dc1394camera_t *camera, uint64_t offset, uint32_t value)
dc1394error_t | dc1394_get_strobe_register (dc1394camera_t *camera, uint64_t offset, uint32_t *value)
dc1394error_t | dc1394_set_strobe_register (dc1394camera_t *camera, uint64_t offset, uint32_t value)

## Detailed Description

Functions to directly access camera registers.

Author
  Damien Douxchamps: coding
  Peter Antoniac: documentation maintainer

More details soon

## Function Documentation

## dc1394_get_absolute_register()

dc1394error_t dc1394_get_absolute_register | ( | dc1394camera_t * | camera,
|  | unsigned int | feature,
|  | uint64_t | offset,
|  | uint32_t * | value
| ) |  |

No Docs

## dc1394_get_adv_control_registers()

dc1394error_t dc1394_get_adv_control_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_get_control_registers()

dc1394error_t dc1394_get_control_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_get_format7_register()

dc1394error_t dc1394_get_format7_register | ( | dc1394camera_t * | camera,
|  | unsigned int | mode,
|  | uint64_t | offset,
|  | uint32_t * | value
| ) |  |

No Docs

## dc1394_get_PIO_register()

dc1394error_t dc1394_get_PIO_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value
| ) |  |

No Docs

## dc1394_get_registers()

dc1394error_t dc1394_get_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_get_SIO_register()

dc1394error_t dc1394_get_SIO_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value
| ) |  |

No Docs

## dc1394_get_strobe_register()

dc1394error_t dc1394_get_strobe_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t * | value
| ) |  |

No Docs

## dc1394_set_absolute_register()

dc1394error_t dc1394_set_absolute_register | ( | dc1394camera_t * | camera,
|  | unsigned int | feature,
|  | uint64_t | offset,
|  | uint32_t | value
| ) |  |

No Docs

## dc1394_set_adv_control_registers()

dc1394error_t dc1394_set_adv_control_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | const uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_set_control_registers()

dc1394error_t dc1394_set_control_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | const uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_set_format7_register()

dc1394error_t dc1394_set_format7_register | ( | dc1394camera_t * | camera,
|  | unsigned int | mode,
|  | uint64_t | offset,
|  | uint32_t | value
| ) |  |

No Docs

## dc1394_set_PIO_register()

dc1394error_t dc1394_set_PIO_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t | value
| ) |  |

No Docs

## dc1394_set_registers()

dc1394error_t dc1394_set_registers | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | const uint32_t * | value,
|  | uint32_t | num_regs
| ) |  |

No Docs

## dc1394_set_SIO_register()

dc1394error_t dc1394_set_SIO_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t | value
| ) |  |

No Docs

## dc1394_set_strobe_register()

dc1394error_t dc1394_set_strobe_register | ( | dc1394camera_t * | camera,
|  | uint64_t | offset,
|  | uint32_t | value
| ) |  |

No Docs